////////////////////////////////////////////////////////////////////////////////
//	Filename :		GDIPong.h
//	Description :	Main header file for GDIPong.
////////////////////////////////////////////////////////////////////////////////
#ifndef		GDIPong_H
#define		GDIPong_H

////////////////////////////////////////////////////////////////////////////////
//	Included headers
////////////////////////////////////////////////////////////////////////////////
#include	<windows.h>
#include	<windowsx.h>

#include	<time.h>
#include	<stdio.h>

#include	"Phoenix.h"

////////////////////////////////////////////////////////////////////////////////
//	Definitions
////////////////////////////////////////////////////////////////////////////////
#define		PLAYER1X	10
#define		PLAYER2X	592
#define		SPEED		5


////////////////////////////////////////////////////////////////////////////////
//	Global variables
////////////////////////////////////////////////////////////////////////////////
extern	char	szClassName[];
extern	char	szWinName[];

extern	HDC		hMainDC;
extern	HDC		hAlienDC;
extern	HDC		hTruck1DC;
extern	HDC		hTruck2DC;

extern	int		Player1Score;
extern	int		Player1Position;

extern	int		Player2Score;
extern	int		Player2Position;

extern	float	BallDirectionX;
extern	float	BallDirectionY;
extern	float	BallPositionX;
extern	float	BallPositionY;
extern	bool	BallRolling;

////////////////////////////////////////////////////////////////////////////////
//	Structures
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
//	Classes
////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////
//	Function prototypes
////////////////////////////////////////////////////////////////////////////////
LRESULT	CALLBACK WndProc(HWND,UINT, WPARAM, LPARAM);
bool	DrawScreen (CScreen *);
bool	LoadBitmaps ();
bool	Process ();
BYTE	CheckCol ();

#endif