//////////////////////////////////////////////////////////////////////
//
//
//		File :					"PhoenixCDPlayer.h"
//
//
//		Original author :		Bruno Sousa
//
//
//		Creation date :			08 - 02 - 2000
//
//
//		Last modified by :		Bruno Sousa
//
//
//		Last modified :			08 - 02 - 2000
//
//
//		Purpose :				Play CD tracks.
//
//
//		Observations :			None.
//
//
//////////////////////////////////////////////////////////////////////
#ifndef		PHOENIXCDPLAYER_H
#define		PHOENIXCDPLAYER_H


//////////////////////////////////////////////////////////////////////
//
//
//		Included headers
//
//
//////////////////////////////////////////////////////////////////////
#include	<windows.h>


//////////////////////////////////////////////////////////////////////
//
//
//		Definitions
//
//
//////////////////////////////////////////////////////////////////////
#define		ERRCDPLAYER_NOQUIT			0 << 0
#define		ERRCDPLAYER_QUIT			1 << 0
#define		ERRCDPLAYER_DIALOG			1 << 1
#define		ERRCDPLAYER_FILE			1 << 2

#define		ERRCDPLAYER_OPEN			1 << 0
#define		ERRCDPLAYER_SETTIMEFORMAT	2 << 0
#define		ERRCDPLAYER_CLOSE			3 << 0
#define		ERRCDPLAYER_PLAYTRACK		4 << 0
#define		ERRCDPLAYER_STOPTRACK		5 << 0

//////////////////////////////////////////////////////////////////////
//
//
//		Classes
//
//
//////////////////////////////////////////////////////////////////////


//////////////////////////////////////////////////////////////////////
//
//
//		Name :					CCDPlayer
//
//
//		Original author :		Bruno Sousa
//
//
//		Creation date :			08 - 02 - 2000
//
//
//		Last modified by :		Bruno Sousa
//
//
//		Last modified :			08 - 02 - 2000
//
//
//		Purpose :				CD Player object. All the tracks
//								will be played using this class.
//
//
//		Observations :			Not finished.
//
//
//////////////////////////////////////////////////////////////////////
class	CCDPlayer

{

public:

    WORD						wDeviceID;

	CCDPlayer();
	~CCDPlayer();
	
	PlayTrack(BYTE byTrack);
	StopTrack();

};

#endif